Subject: bug#7789: cannot send smtpmail using gmail & tls on woe32

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Jan 2011 17:47:28 -0500

> From: [email-masked] (Claudio Bley)
> Date: Mon, 17 Jan 2011 09:09:10 +0100
> 
> gnutls-cli waits for a SIGALRM to initiate the STARTTLS handshake --
> which Emacs isn't able to send -- or, alternatively, an EOF -- which
> doesn't work because communication is done over a pipe instead of a
> PTY.

Is this a bug in the ported gnutls, in Emacs, or in both?

> I'm using cygwin's gnutls-cli and have hacked ssl.el in order to
> replace the signal-process calls with (call-process "kill.exe" nil nil
> nil "-ALRM" PID). This works because cygwin provides its own layer of
> signal handling and is able to send / receive the SIGALRM signal.

How about making that hack part of Emacs?  It could be conditioned on
running on Windows.

TIA